$(function () {
  $(".loader").hide();
  $(".mayusculas input[type='text']").css("text-transform", "uppercase");
  $(".mayusculas input[type='text']").keyup(function () {
    this.value = this.value.toUpperCase();
  });
});

const showMessages = {
  error: function (error) {
    console.error(error);
    Swal.fire({
      title: "Error",
      html: "Ups! Ocurrió un error, por favor intenta de nuevo.",
      icon: "error",
      confirmButtonText: "Aceptar",
      confirmButtonColor: "#2ecc71",
      showCancelButton: false,
      showConfirmButton: true,
      focusConfirm: false,
      allowOutsideClick: false,
      allowEscapeKey: false,
      allowEnterKey: false,
    });
  },
  success: function (response) {
    Swal.fire({
      title: "Éxito",
      html: response,
      icon: "success",
      confirmButtonText: "Aceptar",
      confirmButtonColor: "#2ecc71",
      showCancelButton: false,
      showConfirmButton: true,
      focusConfirm: false,
      allowOutsideClick: false,
      allowEscapeKey: false,
      allowEnterKey: false,
    });
  },
};

function capitalizar_oracion(oracion) {
  let palabras = oracion.trim().split(" "),
    capitalizado = [];

  palabras.forEach((p) => {
    p = p.toLowerCase();
    p = p.charAt(0).toUpperCase() + p.slice(1);
    capitalizado.push(p);
  });

  return capitalizado.join(" ");
}

function generalSoloNumeros(e) {
  tecla = e.which || e.keyCode; //obtenemos el código ascii de la tecla que se presiona
  patron = /\d/; //definimos el patrón de búsqueda de la tecla presionada
  te = String.fromCharCode(tecla); //convertimos a un formato legible el ascii de la tecla presionada
  return (
    patron.test(te) ||
    tecla == 9 ||
    tecla == 8 ||
    tecla == 46 ||
    tecla == 37 ||
    tecla == 39 ||
    tecla == 13
  ); //si la tecla presionada es un número, la tecla enter, la tecla para borrar ó la tecla suprimir, devuelve el valor o la función de la tecla, caso contrario no hace nada.
}

function form_manual_validate(idContainer) {
  document.getElementById(idContainer).classList.add("was-validated");

  return $("#" + idContainer)[0].checkValidity();
}
